<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core"

      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">

    <body>

        <ui:composition template="../WEB-INF/template/Template.xhtml">

            <ui:define name="content">

                <p:fieldset legend="Cadastro do Produto">
                    <p:panelGrid columns="2" id="painel">
                        <f:facet name="header">
                            Dados do Produto
                        </f:facet>
                        <!-- <p:outputLabel value="Codigo:" for="codigo" />
                        <p:inputText id="codigo"  style="width: 40px" readonly="true" value="#{produtoBean.codigo}" /> -->
                        
                        <p:outputLabel value="Nome:" for="nome" />
                        <h:panelGroup >
                            <p:inputText id="nome" required="true" value="#{produtoBean.produto.nome}" />
                            <p:message for="nome" />
                        </h:panelGroup>
                        
                        <p:outputLabel value="Preço:" for="preco" />
                        <h:panelGroup >
                            <p:inputText id="preco" required="true"  value="#{produtoBean.produto.preco}"  />
                            <p:message for="preco" />
                        </h:panelGroup>
                        
                        <p:outputLabel value="Quantidade:" for="quantidade" />
                        <h:panelGroup >
                            <p:inputText id="quantidade" required="true"  value="#{produtoBean.produto.quantidade}"  />
                            <p:message for="quantidade" />
                        </h:panelGroup>
                                                
                        <f:facet name="footer">
                            <p:commandButton value="Salvar" icon="fa fa-plus"  action="#{produtoBean.salvar}" update="growl,painel,tabela" />
                            <p:spacer width="20px" />
                            <p:commandButton value="Novo" icon="ui-icon-pencil"  action="#{produtoBean.novo}" immediate="true" update="painel"/>
                        </f:facet>
                        
                        <h:inputHidden value="#{produtoBean.produto.id}" />
                    </p:panelGrid>
                   
                </p:fieldset>

                <p:spacer height="20px" />

                <p:fieldset legend="Lista de Produtos" >
                    <p:dataTable value="#{produtoBean.lista}" var="produto" id="tabela" >
                        
                        <p:column headerText="Código" style="width: 80px; text-align: center">
                            <h:outputText value="#{produto.id}" />
                        </p:column>
                        
                        <p:column headerText="Nome">
                            <h:outputText value="#{produto.nome}" />
                        </p:column>
                        
                        <p:column headerText="Preço">
                            <h:outputText value="#{produto.preco}" />
                        </p:column>

                        <p:column headerText="Quantidade">
                            <h:outputText value="#{produto.quantidade}" />
                        </p:column>
                                                
                        <p:column style="width: 100px; text-align: center">


                            <p:commandButton  icon="ui-icon-pencil" title="Editar"  process="@this" update="painel">
                                <f:setPropertyActionListener target="#{produtoBean.produto}" value="#{produto}" />
                            </p:commandButton>

                            <p:commandButton icon="ui-icon-trash" title="Excluir" actionListener="#{produtoBean.excluir(produto)}" process="@this" update="growl , tabela" immediate="true" >
                                <p:confirm header="Confirmação" message="Deseja realmente excluir?" icon="ui-icon-alert" />
                            </p:commandButton>

                            <p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
                                <p:commandButton value="Sim" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
                                <p:commandButton value="Não" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
                            </p:confirmDialog>

                        </p:column>

                    </p:dataTable>

                </p:fieldset>

            </ui:define>

        </ui:composition>

    </body>

</html>

